"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestApiClient = void 0;
const http_client_1 = require("./http-client");
const baseURL = 'https://scrapbox.io/api';
class RestApiClient {
    constructor(token, httpClient = new http_client_1.DefaultHttpClient()) {
        this.token = token;
        this.httpClient = httpClient;
    }
    async getPage(projectName, pageName) {
        return this.request(`${baseURL}/pages/${encodeURIComponent(projectName)}/${encodeURIComponent(pageName)}?followRename=true`);
    }
    async getProject(projectName) {
        return this.request(`${baseURL}/projects/${encodeURIComponent(projectName)}`);
    }
    async getMe() {
        return this.request(`${baseURL}/users/me`);
    }
    async request(url) {
        return this.httpClient.get(url, {
            headers: {
                Cookie: `connect.sid=${this.token}`,
            },
        });
    }
}
exports.RestApiClient = RestApiClient;
//# sourceMappingURL=rest-api-client.js.map