"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseMessage = exports.createMessage = void 0;
const constants_1 = require("../constants");
const createMessage = (id, payload) => {
    const body = JSON.stringify(['socket.io-request', payload]);
    return [id, `${constants_1.socketIoHeaders.send}${id}${body}`];
};
exports.createMessage = createMessage;
// 430[{...}}] => 430, [{}]
const parseMessage = (message) => {
    // header contains protocol and arbitrary number
    let header = '';
    while (message.length) {
        const head = message[0];
        // remove head if it is numeric char (part of protocol)
        if (Number.isInteger(Number.parseInt(head))) {
            header += head;
            message = message.substr(1);
        }
        else {
            return [header, JSON.parse(message)];
        }
    }
    return ['', ''];
};
exports.parseMessage = parseMessage;
//# sourceMappingURL=message.js.map