declare const createInsertChangeRequest: (param: {
    text: string;
    position?: string;
    userId: string;
}) => {
    readonly _insert: string;
    readonly lines: {
        readonly id: string;
        readonly text: string;
    };
};
declare const createUpdateChangeRequest: (param: {
    id: string;
    text: string;
}) => {
    readonly _update: string;
    readonly lines: {
        readonly text: string;
    };
};
declare const createDeleteChangeRequest: (param: {
    id: string;
}) => {
    readonly _delete: string;
    readonly lines: -1;
};
declare const createTitleChangeRequest: (param: {
    title: string;
}) => {
    readonly title: string;
};
declare const createDescriptionChangeRequest: (param: {
    text: string;
}) => {
    readonly descriptions: readonly [string];
};
declare type InsertChangeRequest = ReturnType<typeof createInsertChangeRequest>;
declare type UpdateChangeRequest = ReturnType<typeof createUpdateChangeRequest>;
declare type DeleteChangeRequest = ReturnType<typeof createDeleteChangeRequest>;
declare type TitleChangeRequest = ReturnType<typeof createTitleChangeRequest>;
declare type DescriptionChangeRequest = ReturnType<typeof createDescriptionChangeRequest>;
export declare type CommitChangeRequest = InsertChangeRequest | UpdateChangeRequest | DeleteChangeRequest | TitleChangeRequest | DescriptionChangeRequest;
declare type InsertChangeRequestCreateParam = {
    type: 'insert';
    text: string;
    position?: string;
};
declare type UpdateChangeRequestCreateParam = {
    type: 'update';
    id: string;
    text: string;
};
declare type DeleteChangeRequestCreateParam = {
    type: 'delete';
    id: string;
};
declare type TitleChangeRequestCreateParam = {
    type: 'title';
    title: string;
};
declare type DescriptionChangeRequestCreateParam = {
    type: 'description';
    text: string;
};
export declare type ChangeRequestCreateParams = InsertChangeRequestCreateParam | UpdateChangeRequestCreateParam | DeleteChangeRequestCreateParam | TitleChangeRequestCreateParam | DescriptionChangeRequestCreateParam;
export declare const createChangeRequests: (params: ChangeRequestCreateParams[], userId: string) => ({
    readonly _insert: string;
    readonly lines: {
        readonly id: string;
        readonly text: string;
    };
} | {
    readonly _update: string;
    readonly lines: {
        readonly text: string;
    };
} | {
    readonly _delete: string;
    readonly lines: -1;
} | {
    readonly title: string;
} | {
    readonly descriptions: readonly [string];
})[];
export {};
