"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createChangeRequests = void 0;
const common_1 = require("../../common");
const createInsertChangeRequest = (param) => ({ _insert: param.position || '_end', lines: { id: common_1.generateId(param.userId), text: param.text } });
const createUpdateChangeRequest = (param) => ({ _update: param.id, lines: { text: param.text } });
const createDeleteChangeRequest = (param) => ({ _delete: param.id, lines: -1 });
const createTitleChangeRequest = (param) => ({ title: param.title });
const createDescriptionChangeRequest = (param) => ({ descriptions: [param.text] });
// NOTE: userId is used to generate new ID
const createChangeRequests = (params, userId) => params.map((p) => {
    switch (p.type) {
        case 'insert': {
            return createInsertChangeRequest({ ...p, userId });
        }
        case 'update': {
            return createUpdateChangeRequest(p);
        }
        case 'delete': {
            return createDeleteChangeRequest(p);
        }
        case 'title': {
            return createTitleChangeRequest(p);
        }
        case 'description': {
            return createDescriptionChangeRequest(p);
        }
        default: {
            throw new Error('Bad implement');
        }
    }
});
exports.createChangeRequests = createChangeRequests;
//# sourceMappingURL=request.js.map