import { Observable } from 'rxjs';
import { ConnectionOpenResponsePayload, SendResponsePayload, WebsocketResponsePayload } from './payload';
import { Websocket } from './websocket/getter';
export declare const getScrapboxWebsocketResponseStreams: (socket: Websocket) => {
    readonly open: Observable<unknown>;
    readonly close: Observable<unknown>;
    readonly error: Observable<unknown>;
    readonly message: Observable<{
        data: unknown;
    }>;
    readonly initialize: Observable<{
        readonly type: "initialize";
        readonly data: ConnectionOpenResponsePayload;
        readonly sid?: undefined;
    }>;
    readonly response: Observable<{
        readonly type: "response";
        readonly sid: string;
        readonly data: SendResponsePayload;
    }>;
    readonly others: Observable<{
        readonly type: "others";
        readonly data: WebsocketResponsePayload;
        readonly sid?: undefined;
    }>;
    readonly errorResponse: Observable<{
        readonly type: "error";
        readonly data: string;
        readonly sid?: undefined;
    }>;
};
export declare const retrieveResponse: (response$: Observable<{
    sid: string;
    data: SendResponsePayload;
}>, sid: string, timeoutMs?: number) => Promise<SendResponsePayload>;
