import { Observable } from 'rxjs';
import { Websocket } from './getter';
export declare const websocketEventNames: {
    readonly open: "open";
    readonly message: "message";
    readonly error: "error";
    readonly close: "close";
};
export declare type WebsocketEventStream = {
    open: Observable<unknown>;
    close: Observable<unknown>;
    error: Observable<unknown>;
    message: Observable<{
        data: unknown;
    }>;
};
export declare const getWebsocketEventStreams: (socket: Websocket) => WebsocketEventStream;
