"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebsocketEventStreams = exports.websocketEventNames = void 0;
// general event names of websocket for both browser and node.js
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
exports.websocketEventNames = {
    open: 'open',
    message: 'message',
    error: 'error',
    close: 'close',
};
const getWebsocketEventStreams = (socket) => {
    const close = rxjs_1.fromEvent(socket, exports.websocketEventNames.close).pipe(operators_1.first());
    const open = rxjs_1.fromEvent(socket, exports.websocketEventNames.open).pipe(operators_1.first(), operators_1.takeUntil(close));
    const error = rxjs_1.fromEvent(socket, exports.websocketEventNames.error).pipe(operators_1.first(), operators_1.takeUntil(close));
    const message = rxjs_1.fromEvent(socket, exports.websocketEventNames.message).pipe(operators_1.takeUntil(close));
    return {
        open,
        close,
        error,
        message,
    };
};
exports.getWebsocketEventStreams = getWebsocketEventStreams;
//# sourceMappingURL=event-stream.js.map