"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultWebsocket = exports.getScrapboxWebsocketAuthOptions = void 0;
const env_1 = require("../../../common/env");
const constants_1 = require("../../constants");
const getScrapboxWebsocketAuthOptions = (token) => ({
    headers: {
        Origin: constants_1.origin,
        Cookie: `connect.sid=${token}`,
    },
});
exports.getScrapboxWebsocketAuthOptions = getScrapboxWebsocketAuthOptions;
const getDefaultWebsocket = (options) => {
    if (env_1.isBrowser()) {
        return new WebSocket(constants_1.endpoint);
    }
    else {
        // FIXME: bad type annotation
        const NodeWebsocket = require('ws');
        return new NodeWebsocket(constants_1.endpoint, undefined, options);
    }
};
exports.getDefaultWebsocket = getDefaultWebsocket;
//# sourceMappingURL=getter.js.map