import { CommitResponsePayload, JoinRoomResponsePayload } from './internal/payload';
import { ChangeRequestCreateParams } from './internal/request';
export declare class WebsocketClient {
    private readonly token;
    private readonly websocketGetterFunction;
    private response$;
    private open$;
    private socket;
    private room;
    private sid;
    constructor(token?: string, websocketGetterFunction?: (options: {
        readonly headers: {
            readonly Origin: "https://scrapbox.io";
            readonly Cookie: `connect.sid=${string}`;
        };
    }) => WebSocket);
    commit(params: {
        projectId: string;
        userId: string;
        pageId: string;
        parentId: string;
        changes: ChangeRequestCreateParams[];
    }): Promise<CommitResponsePayload[]>;
    join(params: {
        projectId: string;
        pageId: string;
    }): Promise<JoinRoomResponsePayload[]>;
    /**
     * Connect to websocket and register events.
     */
    private initialize;
    private send;
    private getIdAndIncrement;
}
