"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createJoinPayload = exports.createCommitPayload = void 0;
const request_1 = require("./request");
const createCommitPayload = (params) => {
    return {
        method: 'commit',
        data: {
            kind: 'page',
            userId: params.userId,
            projectId: params.projectId,
            pageId: params.pageId,
            parentId: params.parentId,
            changes: request_1.createChangeRequests(params.changes, params.userId),
            cursor: null,
            freeze: true,
        },
    };
};
exports.createCommitPayload = createCommitPayload;
const createJoinPayload = (params) => {
    return {
        method: 'room:join',
        data: {
            pageId: params.pageId,
            projectId: params.projectId,
            projectUpdatesStream: false,
        },
    };
};
exports.createJoinPayload = createJoinPayload;
//# sourceMappingURL=payload.js.map